using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace ch11
{
    public partial class login : Form
    {
        public login()
        {
            InitializeComponent();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            Application.Exit();//整个退出。内存不保留。
            //this.Dispose();//不占内存，只关闭自己
        }

        private void btnOk_Click(object sender, EventArgs e)
        {
            if(txtName.Text==""||txtPw.Text=="")
            {
                MessageBox.Show("请输入用户名或密码！"); //提示用户名或密码输入不完整           
            }
            SqlConnection con = new SqlConnection(dormConn.connection);//连接数据库,具体设置
            SqlCommand comd = new SqlCommand("",con);//在连接数据库的基础上进行数据库操作的设置
            comd.CommandText = "select * from U_userinfor where U_UserName='" + txtName.Text + "'and U_Pwd='" + txtPw.Text + "'";//读取界面具体值：'" + txtName.Text + "'
            con.Open();//连到数据库
            SqlDataReader dr = comd.ExecuteReader();//执行查询，并将结果返回存储到dr对象中
            if (dr.HasRows)
            {
                this.Visible = false;
                mainForm mainform = new mainForm();//打开主窗体
                //mainform.toolStripStatusLabel1.Text = txtName.Text;
                dormConn.name = txtName.Text;//通过全局变量获得用户信息
                dormConn.pw = txtPw.Text;
                mainform.Show();
                
            }
            else
            {
                MessageBox.Show("用户名或密码错误！","错误提示");
            }
            con.Close();//关闭数据库连接、节省资源、提高运行效率和准确度！
        }
    }
}
